
package de.ivu.elect.business.stimmeingabe.control;

import javax.inject.Inject;

import de.ivu.elect.business.stimmeingabe.entity.StimmeingabePlausiKonfiguration;
import de.ivu.elect.business.wahl.boundary.WahlDAO;

public class StimmeingabePlausiKonfigurationCreate extends AbstractStimmeingabePlausiKonfigurationCreate {

  @Inject
  private transient WahlDAO wahlDAO;

  public StimmeingabePlausiKonfigurationCreate() {
    super();
  }

  @Override
  // Cf. StimmeingabePlausiKonfigurationEdit#save!!!
  public void save(StimmeingabePlausiKonfiguration stimmeingabePlausiKonfiguration) {
    stimmeingabePlausiKonfiguration.setId(null); // Cf. AbstractStimmeingabePlausiDefinitions#createStimmeingabePlausiKonfiguration!!!

    stimmeingabePlausiKonfiguration.setWahl(wahlDAO.attach(stimmeingabePlausiKonfiguration.getWahl()));

    // Lokalisisierte Werte erstmal nicht speichern, sondern immer aus den Messages laden, cf. AbstractStimmeingabePlausiDefinitions#fillInStimmeingabePlausiKonfigurationValuesLocalizated.
    stimmeingabePlausiKonfiguration.setBeschreibung(null);
    stimmeingabePlausiKonfiguration.setFehlermeldungFormat(null);

    super.save(stimmeingabePlausiKonfiguration);
  }
}
